2019-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	6.7.

	* configure.ac, NEWS, util/texi2dvi, util/texi2pdf,
	doc/refcard/txirefcard.tex: version

2019-09-23  Gavin Smith  <gavinsmith0123@gmail.com>

	Avoid gcc warnings about strncat.

	* install-info/install-info.c (split_entry, format_entry):
	Replace some calls to strncat with strcat.  This avoids a
	"'strncat' specified bound 2 equals source length 
	[-Wstringop-overflow=]" warning with gcc 8.

2019-09-21  YOKOTA Hiroshi  <yokota.hgml@gmail.com>  (tiny change)

	Japanese language support changes.

	* doc/short-sample-ja.texi: Include version.texi.
	* doc/Makefile.am: Install texinfo-ja.tex.

	* doc/texinfo.tex: Support Lua 5.3+ number syntax
    
	Lua 5.3 and newer supports floating point number.
	But some old code doesn't know that Lua supports floating point numbers.
    
	This patch avoids some unexpected floating point numbers in Lua 
	code.

	* doc/txi-ja.tex: Update LuaTeX hack
    
	"comment" command is now unified to "c" command.
    
	Origin of this hack:
	  https://ja.osdn.net/projects/luatex-ja/ticket/36096

	* doc/info-fr.texi: Change encoding to UTF-8.
	* doc/info-fr.texi, doc/info-stnd.texi, doc/short-sample-ja.texi:
	Do not wrap @top node in @ifnottex.

2019-09-19  Gavin Smith  <gavinsmith0123@gmail.com>

	pretest 6.6.92

	* configure.ac: version

2019-09-17  Gavin Smith  <gavinsmith0123@gmail.com>

	pretest 6.6.91

	* configure.ac: version

2019-09-08  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix LuaTeX errors in anchors.

	* doc/texinfo.tex (\pdfescstr) [LuaTeX]:
	Change definition of PDFescstr so to only output tokens of 
	catcode 10 or 12 back into TeX.  This is intended to prevent 
	errors when using @-commands inside anchors, reported by Didier 
	Verna.

2019-08-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/Plaintext.pm (_convert) <menu_entry_node>: 
	Put a pending space in the output so it is not included in the 
	node name when INFO_SPECIAL_CHARS_QUOTE is set.  Faulty menu in 
	output reported by Didier Verna.

2019-08-25  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\atdummies, \definedummies): Define \& and 
	\ampchar as dummies so they are written properly to the index 
	files.  Report from Didier Verna.

2019-08-19  Eli Zaretskii  <eliz@gnu.org>

	* info/pcterm.c (kill): Don't use RETSIGTYPE, it is no longer
	defined by config.h.

2019-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix @value in index entry.

	* doc/texinfo.tex (\dummyvalue): Use \string\value instead of 
	\noexpand\value.  This means that a backslash is correctly used 
	as the escape character in the output, rather than an at sign.

2019-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo-tex-test.texi (Test of macros with @ in index):
	Comment out, as it doesn't work with \ as the index file escape 
	character.

2019-08-18  gettextize  <bug-gnu-gettext@gnu.org>

	* gnulib/m4/gettext.m4: Upgrade to gettext-0.20.1.
	* gnulib/m4/intlmacosx.m4: Upgrade to gettext-0.20.1.
	* gnulib/m4/nls.m4: Upgrade to gettext-0.20.1.
	* gnulib/m4/po.m4: Upgrade to gettext-0.20.1.
	* gnulib/m4/progtest.m4: Upgrade to gettext-0.20.1.
	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.20.

2019-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (default_contents): Use
	<a rel="index"> for links to index nodes.
	* NEWS: Mention change.

2019-08-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Remove announcement of use of @ as escape character in 
	index files.

2019-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Use "rel" attribute to indicate index nodes.

	* tp/Texinfo/Convert/HTML.pm (_convert_menu_entry_type):
	If the target node in a menu entry is an index node, then set 
	the "rel" attribute on the <a> element to "index".  Remove 
	commented-out code.
	* NEWS: Mention change.

2019-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	Mark index nodes.

	* tp/Texinfo/ParserNonXS.pm (_parse_texi) <line commands>,
	* tp/Texinfo/XS/parsetexi/handle_commands.c (handle_line_command):
	If @printindex is seen, record that the current node is an index 
	node by setting the "isindex" extra value.

2019-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Minimum): Put .texi first in the list and 
	remove footnote about preferring the "longer extensions".  
	Automake warns if .texi is not used.  Report from Дилян Палаузов 
	<dilyan.palauzov@aegee.org>.

2019-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (GNU Sample Texts): Mention UPDATED-MONTH 
	variable in version.texi.  Report from Дилян Палаузов 
	<dilyan.palauzov@aegee.org>.

2019-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (GNU Sample Texts): Link to "Texinfo" node of 
	Automake manual directly.  Report from Дилян Палаузов 
	<dilyan.palauzov@aegee.org>.

2019-08-16  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Beginning and Ending a File): Minor grammar 
	fix.  Report from TonyMc <afmcc@btinternet.com>.

2019-07-26  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Node Menu Illustration): Minor grammar fix.  
	Report from Дилян Палаузов <dilyan.palauzov@aegee.org>.

2019-07-11  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2html: Remove file.  It has not worked for a long 
	time due to invoking texi2any incorrectly.  Report from Adam 
	Spiers.

2019-06-14  Patrice Dumas  <pertusus@free.fr>

	Do not output HTML target when there is only one element in file

	* tp/Texinfo/Convert/HTML.pm (count_elements_in_filename, command_href, 
	output): add 'elements_in_file_count' to converter object, set equal 
	to 'file_counters' to record and keep the information of the number 
	of elements in files.
	Add count_elements_in_filename() to return this number.
	Do not output an HTML target for hrefs to elements (elements are nodes 
	in most cases) when there is only one element in the href destination 
	file.

2019-06-01  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\printindex): Remove \message printing 
	informative statement.  Report from Karl Berry.

2019-05-18  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex: Specify "@set txiindexescapeisbackslash" in 
	order to use backslashes in index files by default.

2019-05-18  Arnold D. Robbins  <arnold@skeeve.com>

	* doc/texinfo.tex (\definedummies): Define \subentry as a dummy.
	(\indexwriteseealso, \indexwriteseeentry): Fix writing 
	'seeentry' and 'seealso' commands for when backslash is the 
	escape.

2019-05-13  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/run_parser_all.sh: Do not use a staging directory to 
	remove CVS and .svn directories, as we don't use CVN or SVN.

2019-05-09  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/htmlxref.cnf: Add eww. From Tsuyoshi Kitamoto 
	<tsuyoshi.kitamoto@gmail.com>.

2019-05-06  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix finding translation files in out-of-source build.

	* tp/Texinfo/ModulePath.pm.in ($builddir, $srcdir):
	Save builddir instead of srcdir.
	* tp/Texinfo/XSLoader.pm: Pass on $Texinfo::ModulePath::builddir
	to XS modules.
	* tp/Texinfo/XS/parsetexi/api.c (init),
	* tp/texi2any.pl: When looking for the directory containing the
	translation files, check in $Texinfo::ModulePath::builddir and
	nowhere else.

2019-05-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/t/stdout.sh,
	* tp/tests/t/stdout_split.sh: Remove tests.

2019-05-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/tests/Makefile.am (copy-tests): Do not try to make target 
	in subdirectory.

2019-05-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/94htmlxref.t: Remove a ".texi" suffix given as the manual 
	argument to an xref command.

2019-05-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/30sectioning.t: Remove a ".texi" suffix given as the 
	manual argument to an xref command.

2019-05-05  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Convert/HTML.pm (_external_node_href): Do not strip
	off an arbitrary extension from the name of an external manual - 
	only strip of ".info".  Ludovico Courtès reported that 
	extensions were being used to distinguish translations of 
	manuals into other languages.

2019-04-28  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XS/Makefile.am
	(XSParagraph_la_LDFLAGS, Parsetexi_la_LDFLAGS):
	Put $(LTLIBINTL) and $(LTLIBICONV) in here.  Remove $(TERMLIBS) 
	which was not used.

	Attempt to fix building under Cygwin, which Hans-Bernhard Bröker 
	reported was broken.

2019-04-28  Gavin Smith  <gavinsmith0123@gmail.com>

	Set TEXI2DVI in Makefile.

	* doc/Makefile.am: Set TEXI2DVI to use the texi2dvi in the 
	Texinfo sources rather than an installed one.

2019-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Ignore spaces before @seeentry, @seealso and @sortas.

	* tp/Texinfo/ParserNonXS.pm (_parse_texi): Split off an ignored 
	spaces element if one of these commands is seen.
	* tp/Texinfo/XS/parsetexi/parser.c 
	(isolate_last_space_menu_entry_node, isolate_trailing_space):
	Rename and add a parameter.
	(process_remaining_on_line): After these commands are seen, call 
	isolate_trailing_space.

	* tp/t/09indices.t (subentry_and_sortas): New test.

	This allows these commands to occur at the end of index commands 
	without trailing spaces being present in the output.

2019-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	"See also" index entries for DocBook output.

	* tp/Texinfo/Convert/DocBook.pm (_index_entry):
	Output <see> or <seealso> elements if @seeentry or @seealso 
	directives were given for the index entry.

2019-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/ParserNonXS.pm (_enter_index_entry),
	* tp/Texinfo/XS/parsetexi/indices.c (enter_index_entry),
	* tp/Texinfo/XS/parsetexi/api.c (build_single_index_data): 
	Always create index entry object but do not add it to array of 
	entries for the index if there was a @seeentry or @seealso.

2019-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XS/parsetexi/indices.c (enter_index_entry): Skip if 
	'seeentry' or 'seealso' was recorded.
	* tp/Texinfo/XS/parsetexi/separator.c (handle_close_brace):
	Record values of 'seeentry' and 'seealso' the same way as for 
	'sortas'.  Ignore spaces following these commands.
	* tp/Texinfo/XS/parsetexi/command_data.txt: Add 'seeentry', 
	'seealso'.  Remove comments referring to line numbers in Common.pm.

2019-04-27  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/Common.pm (%in_index_commands, %brace_commands):
	Add 'seeentry', 'seealso'.  These are handled the same way as 
	'sortas'.
	* tp/Texinfo/ParserNonXS.pm (%command_ignore_space_after):
	Add 'seeentry', 'seealso'.
	(_parse_texi) <close brace>: Record values of 'seeentry' and 
	'seealso' in extra hash the same way as for 'sortas'.
	(_enter_index_entry): Skip the index entry if there is a 
	'seeentry' or 'seealso' directive.
	* tp/Texinfo/Convert/Plaintext.pm (_convert): Do not warn about 
	unhandled commands if a 'seeentry' or 'seealso' directive is 
	present.

	* tp/t/09indices.t (seeentry): Add test.

2019-04-21  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove TOP_NODE_FILE.

	* doc/texinfo.texi (HTML Customization Variables): Remove 
	TOP_NODE_FILE.
	* tp/Texinfo/Common.pm (@variable_string_settables):
	Remove TOP_NODE_FILE.
	* tp/Texinfo/Convert/Converter.pm (_top_node_filename):
	Do not look at TOP_NODE_FILE.
	* tp/Texinfo/Convert/HTML.pm (%defaults): Use TOP_FILE instead 
	of TOP_NODE_FILE.
	(_set_variables_texi2html): Do not override value of TOP_FILE to 
	an empty string.
	* tp/init/chm.pm: Do not try to set TOP_NODE_FILE.

2019-04-03  Patrice Dumas  <pertusus@free.fr>

	Use EXTENSION instead of hardcoding html and add extension to TOP_NODE_FILE_TARGET

	* tp/Texinfo/Convert/Converter.pm (_top_node_filename),
	tp/Texinfo/Convert/HTML.pm (_set_root_commands_targets_node_files):
	use EXTENSION instead of .html.
	* tp/Texinfo/Convert/HTML.pm (%defaults, _external_node_href),
	doc/texinfo.texi (TOP_NODE_FILE_TARGET): default is now index.html.
	* tp/Texinfo/Convert/HTML.pm (_external_node_href): use 
	$external_file_extension instead of $extension to make clear that
	it is not the same as EXTENSION.
	* tp/t/init/t2h_singular.init (t2h_node_file_name): add that 
	function to replace .htm with .html for node files.
	* tp/tests/tex_html/list-of-tests: update to match SHORTEXTN 
	removal.

2019-04-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove some customization variables.

	* tp/texi2any.pl (HTML Customization Variables):
	Remove NODE_FILE_EXTENSION, SHORTEXTN.
	(Other Customization Variables): Remove NODE_FILENAMES.  Remove 
	mention of INPUT_ENCODING_NAME
	* NEWS: Mention removal.

2019-04-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove NODE_FILE_EXTENSION.

	* tp/Texinfo/Convert/HTML.pm (%defaults):
	(_set_root_commands_targets_node_files, _set_pages_files)
	(_external_node_href, output),
	* tp/Texinfo/Convert/Converter.pm (_set_pages_files, output)
	(_top_node_filename)

	Do not set or refer to NODE_FILE_EXTENSION.  The extension for 
	html files will always be '.html'.  Remove some commented-out 
	code.

2019-04-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove SHORTEXTN.

	* tp/Texinfo/Convert/HTML.pm (converter_initialize):
	Do not check SHORTEXTN customization variable.

2019-04-12  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove NODE_FILENAMES.

	* tp/Texinfo/Convert/HTML.pm (output, %defaults, _set_pages_files),
	* tp/Texinfo/Convert/Converter.pm (output, _top_node_filename)
	(_set_pages_files): Do not set or refer to NODE_FILENAMES.

	* tp/Texinfo/Convert/HTML.pm (_set_pages_files),
	* tp/Texinfo/Convert/Converter.pm (_set_pages_files):
	Remove code for naming output files with a number suffix (this 
	was the old texi2html behaviour).

2019-04-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\defsl): Declare with OT1 encoding instead of 
	OT1TT to avoid pdftex warning about conflicting CMap's.
	
2019-04-12  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Preparing for TeX):  Clearer wording
	about where TeX finds input files.  Report from Alan Mackenzie.  
	Update link to texinfo.tex.  Do not discuss how to set 
	environment variables in csh.

2019-04-11         Arnold D. Robbins     <arnold@skeeve.com>

	* doc/texinfo.texi: Update chapter on Indexing to cover new
	@seeentry, @seealso and @subentry commands. General smaller
	revisions to that chapter.

2019-04-08  Gavin Smith  <gavinsmith0123@gmail.com>

	Make texi2dvi --tidy more reliable.

	* util/texi2dvi (xref_files_save) [--tidy]: Check for auxiliary 
	files in the same directory as the input file, and remove them.
	(cd_dir): Possibly make $in_dir absolute.

	* NEWS: Mention texi2dvi changes.


2019-04-08  Gavin Smith  <gavinsmith0123@gmail.com>

	Do not change directory variables when changing directory.

	* util/texi2dvi (cd_dir, cd_orig): Do not change variables 
	containing pathnames.  Store a prefix to use with these 
	variables in $rel.  If either the new directory or in_input is 
	absolute, change all the pathname variables to be absolute.

	(xref_files_save, xref_files_changed): Prefix $work_bak with 
	$rel.
	(run_tex, run_hevea): Prefix $in_input with $rel.

	No functional changes intended.  The code to add and remove the 
	prefix from all of the variables had tricky quoting.  $rel is 
	only needed in a small number of places in functions called from 
	run_tex_suite.

2019-04-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (make_openout_test): Call make_tex_cmd before 
	cd_dir.  This means that no calls to ensure_dir are called 
	between cd_dir and cd_orig.

2019-04-08  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi (run_tex): Remove use of make_tex_cmd.  I could 
	find nothing in make_tex_cmd that would change the result 
	between uses of run_tex.
	(run_tex_suite): Move use of make_tex_cmd here.

2019-04-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (HTML Customization Variables): Remove text 
	"For HTML" from the description of each variable, as it is clear 
	that these variables are all for HTML.

2019-04-07  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (latex2html Customization Variables): New 
	node, split from 'HTML Customization Variables'.

2019-04-07  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove @math and @tex as 'global commands.'

	* tp/Texinfo/ParserNonXS.pm (%global_multiple_commands),
	* tp/Texinfo/XS/parsetexi/api.c (build_global_info2),
	* tp/Texinfo/XS/parsetexi/parser.c (register_global_command),
	* tp/Texinfo/XS/parsetexi/parser.h (GLOBAL_INFO): Remove 'math' 
	and 'tex'.

	Reverts change on 2019-04-01.  Suggestion from Patrice.

2019-04-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\printindex): Give an error message with 
	\errmessage, instead of putting a message in the output 
	document, in order to give a hard failure in case an index file 
	has a backslash.  Suggestion from Karl.  Old index files will 
	still be upgraded by texi2dvi due to the previous change.

2019-04-06  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/texi2dvi: If TeX exits with a bad status, do not quit 
	immediately: check if the xref files have changed.  If they 
	have, the error might be corrected on subsequent runs.  This is 
	intended to help with moving index files to use @ as the escape 
	character instead of \.

2019-04-03  Patrice Dumas  <pertusus@free.fr>

	use tree in HTML handlers to collect @-command to be processed

	* tp/Texinfo/Convert/HTML.pm (run_stage_handlers): pass document
	tree root.
	* tp/Texinfo/Common.pm (collect_commands_in_tree): add.
	* tp/init/tex4ht.pm (tex4ht_prepare), tp/init/latex2html.pm (l2h_process):
	find the math and tex command using 
	Texinfo::Common::collect_commands_in_tree instead of relying
	on having those commands collected by the parser.

2019-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Optionally use backslash as index escape character.

	* doc/texinfo.tex
	(\doindwrite): If the user gave '@set txiindexescapeisbackslash',
	then use \ as the escape character in the index file.
	(\splitindexentry): Use \string to output \indexlbrace etc.
	(\printindex): Under the same condition, read the sorted index 
	file with backslash as an escape character.  Expand the advice 
	on how to print the indices properly.

2019-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	Do not output literal backslash character in index files.

	* doc/texinfo.tex
	(\splitindexentry): In the sort key, use '{@indexbackslash }' 
	for a backslash, instead of a backslash character.
	(\initialglyphs): Recognize \indexbackslash.
	(\doindwrite): Output a backslash character as '@backslashchar {}'.
	(\definedummies): Define \backslashchar as a dummy.

	* doc/texinfo-tex-test.texi (Test of certain characters in index):
	Add more examples.

	This is intended to make it more reliable for either backslash 
	or at sign to be used as the escape character in index files, 
	for use with old versions of texi2dvi.  (This also allows 
	reading in old index files that used the \indexbackslash 
	sequence, although that is not very important.)

2019-04-03  Gavin Smith  <gavinsmith0123@gmail.com>

	* js/info.js (scan_toc): Use getElementById instead of 
	querySelector, as id's are unique.  From Mathieu.

2019-04-02  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\urefallowbreak): Reduce stretch from 1fil to 4em.

	This discourages breaking too early in the line.

2019-04-02  Gavin Smith  <gavinsmith0123@gmail.com>

	Support links between locally-installed manuals.

	* js/info.js (external_manual_url_p): New function.
	(fix_links): If a link to an external manual, open link in the 
	same browser tab.
	(on_click): No special handling of links to external manuals.

	This is intended to support links between locally-installed HTML 
	manuals.  For this to work, links to other manuals must begin 
	with "../", so htmlxref.cnf would need to be overridden.

2019-04-02  Patrice Dumas  <pertusus@free.fr>

	Avoid side effects in HTML formatting fonctions that can be overriden
	
	* tp/Texinfo/Convert/HTML.pm (_convert_heading_command,
	_convert_menu_command, _convert): move code with side effects (setting
	'seenmenus' and using 'seemenus' to add automatically a menu) out
	of formatting functions that can be overriden by a user to main
	converter function.
	* tests/tex_html: regenerate formatting_singular tests that overrides
	the menu formatting function.

2019-04-01  Patrice Dumas  <pertusus@free.fr>

	In _element_direction() output TOP_NODE_UP related infos even if element is not defined
	
	* tp/Texinfo/HTML.pl (_element_direction): output 
	TOP_NODE_UP related infos even if element is not defined.
	Explain in a comment when element is undef.

2019-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Add @math and @tex as 'global commands.'

	* tp/Texinfo/ParserNonXS.pm (%global_multiple_commands),
	* tp/Texinfo/XS/parsetexi/api.c (build_global_info2),
	* tp/Texinfo/XS/parsetexi/parser.c (register_global_command),
	* tp/Texinfo/XS/parsetexi/parser.h (GLOBAL_INFO): Add 'math' and 
	'tex'.
	* tp/init/latex2html.pm, tp/init/tex4ht.pm: Do not add values to 
	GLOBAL_COMMANDS.

	Patrice Dumas reported that tex4ht.pm and latex2html.pm were 
	broken since the GLOBAL_COMMANDS array was removed as a 
	customization value for init files (on 2018-10-13).

2019-04-01  Gavin Smith  <gavinsmith0123@gmail.com>

	Make search-next and search-previous work for tree search.

	* info/session.c (info_search_next, info_search_previous):
	If there is an active tree search, carry on with it.  This means 
	that the '}' and '{' keys can be used to go through the results 
	from a tree search (instead of 'M-}' and 'M-{').
	(info_search_1): Disable any active tree search.
	* NEWS: Mention change.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove XS po directory.

	* tp/Texinfo/XS/po: Remove.
	* tp/Texinfo/XS/configure.ac (AC_CONFIG_FILES): Remove 
	po/Makefile.in.

	This keeps AM_GNU_GETTEXT in the XS subdirectory.  Apparently 
	AM_PO_SUBDIRS is also still used, even there is no po 
	subdirectory.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Only use a single po directory.

	* po/POTFILES.in: List parsetexi input files.
	* po/Makevars (XGETTEXT_OPTIONS): Move options from
	tp/Texinfo/XS/po/Makevars.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Find translation directory for parsetexi.

	* tp/Texinfo/XS/parsetexi/api.c (find_locales_dir): New 
	function.
	(init): Call it.
	* NEWS: Mention change.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Pass on srcdir to XS modules.

	* tp/Texinfo/ModulePath.pm.in ($srcdir): New variable.
	(init) [uninstalled]: Set it.
	* tp/Texinfo/XSLoader.pm: Pass on $Texinfo::ModulePath::srcdir 
	to XS modules.
	* tp/Texinfo/XS/parsetexi/api.c (init): Save value of srcdir.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Output message if file ended inside Top node.

	* doc/texinfo.tex (\omittopnode): Redefine @bye and put a 
	message in the output file to say the Top node was omitted.  
	This is most likely for short test files that consist only of a 
	Top node.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* NEWS: Add some news items.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	Make texi2dvi --batch the default.

	* util/texi2dvi: (batch): Remove variable.
	(usage): Do not mention --batch.
	(make_tex_command): Unconditionally run in batch mode.
	(make_openout_test): Do not save and restore $batch.
	(input_file_name_decode): Do not set $batch for AUC-Tex input.
	(usage): Remove a comment about 'echo' compatibility.

2019-03-31  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.texi (Inserting Unicode): Include the Ĳ ligature 
	in the output.  Do not say that a UTF-8 encoding must be 
	explicitly requested.

2019-03-30  Gavin Smith  <gavinsmith0123@gmail.com>

	Module search path changes (no functional changes intended).

	* tp/texi2any.pl:
	Only check if one variable has been substituted by the Makefile 
	to create this file.  Do not set environment variables: only add 
	a directory to @INC so that Texinfo:ModulePath might be found.
	Pass an 'updirs' argument into Texinfo::ModulePath.
	* tp/Texinfo/ModulePath.pm.in (init): Change argument from 
	'uninstalled' to 'installed', so that the uninstalled case is 
	the default.  Place code for using uninstalled files and 
	checking environment variables inside a conditional so it is 
	clearer when this code is used.  Do not set any environment 
	variables: use them for input only.

2019-03-30  Gavin Smith  <gavinsmith0123@gmail.com>

	Introduce blank lines in test case.

	* tp/t/converter_tests.t ($at_commands_in_refs_text): Introduce 
	blank lines in input Texinfo to avoid problems with varying line 
	break decisions due to different wcwidth implementations.
	* tp/t/converters_tests.t (at_commands_in_refs): Do not skip.
	(at_commands_in_refs_utf8): Do not skip this one either, since 
	we are now counting combining accents in the XS code as having 
	width.

2019-03-30  Gavin Smith  <gavinsmith0123@gmail.com>

	Skip tests instead of marking them as expected failures.

	* tp/t/test_utils (test): If a test case is marked as 'todo', 
	always skip the test with 'skip' from Test::More, instead of 
	putting it inside a 'TODO' block.  Remove some commented-out 
	code.

2019-03-30  Gavin Smith  <gavinsmith0123@gmail.com>

	Skip a test.

	* tp/t/converters_tests.t (at_commands_in_refs): Skip plaintext
	output until we can get consistent results on Solaris 10 and 
	Solaris 11.

2019-03-30  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/t/test_utils.pl: Do not print errors from conversions.

2019-03-29  Gavin Smith  <gavinsmith0123@gmail.com>

	Use 'utf-8' instead of 'utf-8-strict' as name of encoding.

	* tp/Texinfo/Common.pm (%default_parser_state_configuration)
	(open_out, count_out): Use 'utf-8' instead of 'utf-8-strict' as 
	the name of the perl encoding.
	* tp/Texinfo/ParserNonXS.pm (_open_in): Check for 'utf-8' 
	instead of 'utf-8-strict'.  Add a missing closing parenthesis in 
	input filter declaration.
	* tp/Texinfo/XS/parsetexi/parser.c (wipe_global_info):
	Use 'utf-8' instead of 'utf-8-strict'.

	On perl v5.8.4, there was an error 'Cannot find encoding 
	"utf-8-strict"'.  (This version is used on the OpenCSW 
	buildfarm.)

2019-03-28         Arnold D. Robbins     <arnold@skeeve.com>

	* texinfo.tex: @see is now @seentry, per Gavin. Removed
	spurious definition of \putwordSee.

2019-03-27  Patrice Dumas  <pertusus@free.fr>

	Set Top node Up per format and not in Structuring.

	* tp/Texinfo/Common.pm, tp/Texinfo/Convert/Converter.pm: set 
	TOP_NODE_UP in converter defaults.
	* tp/Texinfo/Structuring.pm, tp/Texinfo/Convert/HTML.pm,
	tp/Texinfo/Convert/Info.pm, doc/texinfo.texi: do not set 
	the Top node Up in Structuring but in converters. Only use 
	TOP_NODE_UP and set an Up URL/name in HTML when TOP_NODE_UP_URL 
	is set and do not modify all the links of the TOP_NODE_UP, 
	only the Top node Up links.

2019-03-27  Patrice Dumas  <pertusus@free.fr>

	* tp/init/chm.pm, tp/init/latex2html.pm, tp/init/tex4ht.pm:
	use __() from Texinfo::Common

2019-03-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix test of XS modules.

	* tp/Texinfo/XS/TestXS.pm: Declare init function as having a 
	single argument, and return a true value.  Otherwise the test 
	for XS modules fails.  Report from Patrice Dumas.

2019-03-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Small changes.

	* tp/Texinfo/XS/xspara.c (xspara_add_text): Add a comment.
	* tp/tests/sectioning/Makefile.am: Do not try to distribute a 
	removed file.
	* tp/Texinfo/XS/po/texinfo.pot: Untrack in git.

2019-03-27  Gavin Smith  <gavinsmith0123@gmail.com>

	Make test results consistent for older versions of perl.

	* tp/Texinfo/Convert/Plaintext.pm (@U): Check argument to @U 
	before attempting to output the character.  The check inside 
	eval doesn't work for old versions of perl.  Trim down some 
	comments.

2019-03-25  Gavin Smith  <gavinsmith0123@gmail.com>

	Make test results consistent between XS and non-XS modules.

	* tp/Texinfo/XS/xspara.c (xspara_add_text): Treat characters 
	with wcwidth 0 the same as those with wcwidth 1.  This is wrong, 
	but gives consistency for the test results.

2019-03-24         Arnold D. Robbins     <arnold@skeeve.com>

	@see in index entries (experimental).
	
	* doc/texinfo.tex
	(\see, \putwordSee): Add default definitions for reading 
	in a sorted index file.
	(\splitindexentry): Record value of any @see directive in 
	the index entry inside \pagenumbertext.  Make @see expansion 
	empty when getting the sort key.

2019-03-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* util/htmlxref.cnf: Update 'mit-scheme-imail'.  From
	Thérèse Godefroy.

2019-03-24  Gavin Smith  <gavinsmith0123@gmail.com>

	* tp/Texinfo/XS/parsetexi/parser.c (wipe_global_info): Set 
	input_encoding_name as well as input_perl_encoding.

2019-03-24  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove INPUT_PERL_ENCODING and INPUT_ENCODING_NAME as 
	customization variables.

	* tp/Texinfo/Common.pm (%default_customization_values)
	(@variable_string_settables): Remove INPUT_PERL_ENCODING and 
	INPUT_ENCODING_NAME.
	* tp/Texinfo/Convert/Converter.pm (converter),
	* tp/Texinfo/XS/parsetexi/Parsetexi.pm (parse_texi_file),
	Remove code propagating INPUT_PERL_ENCODING and 
	INPUT_ENCODING_NAME.

	* tp/Texinfo/ParserNonXS.pm (%initialization_overrides):
	Remove 'INPUT_ENCODING_NAME'.

	* tp/Texinfo/ParserNonXS.pm (_open_in, _end_line, _parse_texi),
	* tp/Texinfo/Convert/Converter.pm (converter),
	* tp/Texinfo/Convert/IXIN.pm (output_ixin),
	* tp/Texinfo/Structuring.pm (do_index_keys):
	Do not use INPUT_PERL_ENCODING or INPUT_ENCODING_NAME: use the 
	'info' hash instead.

	* tp/Texinfo/Common.pm (_convert_text_options),
	* tp/Texinfo/Report.pm (gdt),
	* tp/texi2any.pl:
	Do not look use INPUT_ENCODING_NAME or INPUT_PERL_ENCODING.

	* doc/texinfo.texi (Other Customization Variables):
	Remove INPUT_PERL_ENCODING and INPUT_ENCODING_NAME.  Remove 
	@ifnottex block around Top node.

	This is an attempt at simplifying a complicated picture around 
	character encoding.  These customization variables had little 
	use as the encoding is given as @documentencoding in the input.


2019-03-24  Gavin Smith  <gavinsmith0123@gmail.com>

	Use UTF-8 more consistently in test suite.

	* tp/Texinfo/ParserNonXS.pm (parse_texi_file): Do not set
	'input_encoding_name' and 'input_perl_encoding' here.
	* tp/Texinfo/Common.pm (%default_parser_state_configuration):
	Set 'input_encoding_name' and 'input_perl_encoding' here.

2019-03-23  Gavin Smith  <gavinsmith0123@gmail.com>

	Make UTF-8 default input encoding for parsetexi.

	* tp/Texinfo/XS/parsetexi/Parsetexi.pm (parse_texi_file):
	Propagate values of INPUT_PERL_ENCODING and INPUT_ENCODING_NAME.
	* tp/Texinfo/XS/parsetexi/api.c (reset_parser_except_conf):
	Call 'set_input_encoding' to use "utf-8" as the default.
	* tp/Texinfo/XS/parsetexi/parser.c (wipe_global_info): Set
	global_info.input_perl_encoding to "utf-8-strict".

	This replicates changes made on 2019-02-23 and 2019-02-26.

2019-03-23  Gavin Smith  <gavinsmith0123@gmail.com>

	@subentry in parsetexi.

	* tp/Texinfo/XS/parsetexi/command_data.txt: Add subentry.
	* tp/Texinfo/XS/parsetexi/handle_commands.c
	(handle_line_commands) <@subentry>: Add section.
	(handle_brace_commands) <@sortas>: Allow to occur inside @subentry.
	* tp/Texinfo/XS/parsetexi/parser.c (check_valid_nesting): Allow 
	@subentry to occur inside most commands.
	(process_remaining_on_line) <@-command>: Allow @subentry to 
	occur other than at the beginning of a line.
	* tp/Texinfo/XS/parsetexi/separator.c (handle_close_brace) 
	<@sortas>: Record sort key on @subentry element.

2019-03-23  Gavin Smith  <gavinsmith0123@gmail.com>

	Fix sort key for undefined @value.

	* doc/texinfo.tex (\indexnofontsvalue): Place a % comment 
	character after the text for an undefined @value.
	If this comment character isn't present and the @value is 
	followed by a space, the rest of the index sort key will be 
	discarded inside @eatspaces called from @splitindexentry.  It 
	appears that @eatspaces does not cope with several spaces in a 
	row in its argument.

2019-03-23  Gavin Smith  <gavinsmith0123@gmail.com>

	Add more tests of @value in index.

	* doc/texinfo-tex-test.texi (Test of auxiliary files):
	Add test of values in index entries containing underscores and 
	nested Texinfo commands.  Add test of a @value that changes.
	* doc/texinfo.tex (\expandablevalue): Remove obsolete comment.  
	@value in index entries is more reliable now that we use @ as 
	the escape character in index entries.

2019-03-23  Gavin Smith  <gavinsmith0123@gmail.com>

	Remove apparently unused code.

	* doc/texinfo.tex (\begindoublecolumns): Remove code that is 
	supposed to account for the output routine in 
	\begindoublecolumns being called twice in a row.  It checks 
	whether \partialpage is void, but it appears that \partialpage 
	will always be void.  \doublecolumnout, \balancecolumns and 
	\pagesofar all clear \partialpage with \unvbox, which I believe 
	covers all the cases.  I was unable to get this code to run with 
	various tests.  Remove references to long-lost test files.  
	(Removed code introduced on Jan 14 16:53:43 1999 according to 
	ChangeLog entry.)

2019-03-23  Gavin Smith  <gavinsmith0123@gmail.com>

	Ignore Top node a different way.

	(\omittopnode): Change implementation so as to work when the 
	next node is hidden inside an included file.
	(\nwnode, \up, \down): Remove these useless synonyms.

2019-03-22  Gavin Smith  <gavinsmith0123@gmail.com>

	Ignore Top node in texinfo.tex even without @ifnottex.

	* doc/texinfo.tex (\omittopnode): New macro.
	(\node): Call it.

2019-03-22  Gavin Smith  <gavinsmith0123@gmail.com>

	* doc/texinfo.tex (\texinfoc): Remove.
	(\scanmacro): Use \comment instead of \texinfoc.  \comment has 
	the same meaning inside math mode as outside.
	(\argremovecomment): Don't bother about @texinfoc.

2019-03-18  Gavin Smith  <gavinsmith0123@gmail.com>

	Pass on to XS modules whether uninstalled files should be used.

	* tp/Texinfo/ModulePath.pm.in ($texinfo_uninstalled): New 
	variable.
	(init): Set it if passed the right argument.
	* tp/texi2any.pl: Pass on to Texinfo::ModulePath::init whether
	uninstalled files should be used.  Use the value of 
	$texinfo_uninstalled to decide where to look for locale files.
	Remove some commented-out code and move a variable declaration 
	into a smaller block.
	* tp/Texinfo/XSLoader.pm: Pass on 
	$Texinfo::ModulePath::texinfo_uninstalled to XS modules.

2019-03-17  Gavin Smith  <gavinsmith0123@gmail.com>

	Find translatable strings in parsetexi.

	* tp/Texinfo/XS/po/Makevars (XGETTEXT_OPTIONS): Use line_error 
	and similar functions to mark translatable strings.  (This 
	should maybe be done in the top-level po/Makevars instead.)
	* tp/Texinfo/XS/parsetexi/errors.c (line_error_internal):
	Pass message string to gettext function.
	* tp/Texinfo/XS/po/POTFILES.in: List files containing 
	translatable strings.

2019-03-17  Gavin Smith  <gavinsmith0123@gmail.com>

	Add gettext to XS modules.

	* tp/Texinfo/XS/parsetexi/Parsetexi.xs,
	* tp/Texinfo/XS/parsetexi/api.c (init):
	Add, to be called from Texinfo::XSLoader.  Initialize gettext.
